<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Miami
 */

get_header();

$error_title = cs_get_option( 'error_title' );
$error_message = cs_get_option( 'error_message' );
$error_image = cs_get_option( 'error_image' );
if ( empty( $error_title ) ) { $error_title = 'NOTHING FOUND'; }
if ( empty( $error_message ) ) { $error_message = 'Please Use Search'; }
if ( empty( $error_image ) ) { $error_image = get_template_directory_uri() . '/assets/img/banner.jpg'; } ?>


<div class="banner-wrap">

	<?php if ( ! empty( $error_image ) ) { ?>
		<img src="<?php echo esc_url( $error_image ); ?>"
			 alt="<?php echo esc_html( $error_title ); ?>"
			 class="s-img-switch">
	<?php } ?>

	<div class="content">

		<?php if ( ! empty( $error_title ) ) { ?>
			<h1 class="title animatedBlock"><?php echo esc_html( $error_title ); ?></h1>
		<?php } ?>

		<?php if ( ! empty( $error_message ) ) { ?>
			<div class="text animatedBlock"><p><?php echo wp_kses_post( $error_message ); ?></p></div>
		<?php } ?>

		<?php get_search_form(); ?>

		<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="all_events"><?php esc_html_e( 'Go Home', 'miami' ); ?></a>

	</div>

</div>

<?php get_footer(); ?>