<?php
/**
 * The template for displaying comments
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}

$hide_animation = cs_get_option( 'animation' );

$add_animation = 'animatedBlock';
if ($hide_animation === true) {
	$add_animation = '';
} ?>

<div id="comments" class="comments">
	<h4 class="main-title <?php echo esc_attr($add_animation); ?>"><?php esc_html_e('Leave a comment', 'miami') ?></h4>

	<div class="comment-block">

		<?php if (comments_open()) { ?>
			<?php
			//Custom Fields
			$commenter = wp_get_current_commenter();
			$fields =  array(
				'author'=> '<div class="col-xs-12 col-md-6 pr ' . esc_attr($add_animation) . '"><input class="input-text" id="comment-author"  type="text" value="' . esc_attr( $commenter['comment_author'] ) . '"  name="author" placeholder="'.esc_html__( 'YOUR NAME', 'miami' ) . '" required></div>',
				'email' => '<div class="col-xs-12 col-md-6 pl ' . esc_attr( $add_animation ) . '"><input class="input-text" id="comment-email"   type="email" name="email" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" placeholder="'.esc_html__( 'YOUR E-MAIL', 'miami' ) . '" required></div>',
			);

			$args = array(
				'fields' => $fields,
				'comment_field' => '<textarea id="comment" class="' . esc_attr( $add_animation ) . ' form-input textarea" name="comment" placeholder="' . esc_html__( 'COMMENT', 'miami' ) . '" required></textarea>',
				'must_log_in' => '',
				'logged_in_as' => '',
				'comment_notes_before' => '',
				'comment_notes_after' => '',
				'title_reply' => '',
				'title_reply_to' => esc_html__( 'Leave a Reply to %s', 'miami' ),
				'cancel_reply_link' => esc_html__( 'Cancel', 'miami' ),
				'label_submit' => esc_html__( 'Post a comment', 'miami' ),
				'class_submit' => 'c-btn b-50 black hv-black ' . esc_attr( $add_animation ),
			);

			comment_form($args); ?>

		<?php } ?>
		<?php if ( have_comments() ){ 
			$wp_count_comments = wp_count_comments( $post->ID ); ?>
			<h5 class="<?php echo esc_attr( $add_animation ); ?> com-title"><?php echo esc_html( $wp_count_comments->approved ) . ' ' . esc_html__( 'comments:','miami' ); ?></h5>
			<?php
				wp_list_comments( array(
				  'style'             => 'div',
				  'short_ping'        => true,
				  'avatar_size'       => 80,
				  'callback'          => 'miami_comment',
				  'type'              => 'all',
				  'reply_text'        => esc_html__( 'Reply','miami' ),
				  'page'              => '',
				  'per_page'          => '',
				  'reverse_top_level' => null,
				  'reverse_children'  => ''
				) );
			
			paginate_comments_links(); 
		} ?>
	</div>

	<?php
	// If comments are closed and there are comments, let's leave a little note, shall we?
	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) { ?>
		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'miami' ); ?></p>
	<?php } ?>
</div>