<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Miami
 */

$footer_text = cs_get_option( 'footer_text' );
 ?>

<!-- FOOTER -->
<footer class="footer">
	<!--MAP-->
	<?php if ( cs_get_option( 'show_map' ) == 'true' ) { ?>
		<div class="map-wrapper">
			<div class="map-wrap">
				<div class="map-block" id="map-canvas" data-marker="<?php echo esc_attr( cs_get_option( 'marker' ) ); ?>" data-lat="<?php echo esc_attr( cs_get_option( 'latitude' ) ); ?>" data-lng="<?php echo esc_attr( cs_get_option( 'longitude' ) ); ?>" data-zoom="<?php echo esc_attr( cs_get_option( 'zoom' ) ); ?>" data-style="<?php echo esc_attr( cs_get_option( 'style_map' ) ); ?>" >

					<?php if ( cs_get_option( 'marker_content' ) ): ?>
					<div class="footer-marker-content" style="display: none;">
						<div class="marker-data">
							<?php echo wpautop( apply_filters( 'the_content', cs_get_option( 'marker_content' ) )); ?>
						</div>
					</div>
					<?php endif ?>

					<?php if ( cs_get_option( 'style_map' ) == 'custom' && cs_get_option('code_style_map') !== '' ) { ?>
						<div class="custom_style_map" style="display:none;"></div>
						<script>
							var miami_style_map = <?php echo cs_get_option('code_style_map'); ?>;
							
						</script>
					<?php } ?>
				</div>
			</div>

			<!--CONTACTS-->
			<?php if ( cs_get_option( 'show_contacts' )== 'true' ) { ?>
				<div class="contacts">

					<?php if ( cs_get_option( 'address' ) ) { ?>
						<div class="address"><?php echo esc_html( cs_get_option('address') ); ?></div>
					<?php } ?>

					<?php if ( cs_get_option( 'email' ) ) { ?>
						<a href="mailto:<?php echo esc_attr(cs_get_option('email')); ?>"><?php echo esc_html( cs_get_option('email') ); ?></a>
					<?php } ?>

					<?php if ( cs_get_option( 'phone' ) ) { ?>
						<a href="tel:<?php echo esc_attr( cs_get_option('phone') ); ?>"><?php echo esc_html( cs_get_option('phone') ); ?></a>
					<?php } ?>

				</div>
			<?php } ?>
					
		</div>

	<?php } ?>

	<!--COPY-->
	<?php if ( $footer_text ) { ?>
	<div class="copy">
		<?php echo wp_kses_post( do_shortcode( $footer_text ) ); ?>
	</div>
	<?php } ?>

</footer>  

<?php wp_footer();?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>