<?php
/**
 * MIAMI Event functions and definitions.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package MIAMI_Event
*/

// add in constant name path
defined( 'MIAMI_EVENT_T_PATH' )    or define( 'MIAMI_EVENT_T_PATH',    get_template_directory() );
defined( 'MIAMI_EVENT_FUNC_PATH' ) or define( 'MIAMI_EVENT_FUNC_PATH', MIAMI_EVENT_T_PATH . '/inc' );

// include functions theme
require_once MIAMI_EVENT_FUNC_PATH . '/miami_actions_config.php';
require_once MIAMI_EVENT_FUNC_PATH . '/importer/index.php';
require_once MIAMI_EVENT_FUNC_PATH . '/miami_helper_config.php';
require_once MIAMI_EVENT_FUNC_PATH . '/customizer.php';

require MIAMI_EVENT_T_PATH . '/vendor/autoload.php';

/**
 * Initialize the plugin tracker
 *
 * @return void
 */
function appsero_init_tracker_miami() {

	if ( ! class_exists( 'Appsero\Client' ) ) {
		require_once MIAMI_EVENT_T_PATH . '/vendor/appsero/client/src/Client.php';
	}

	$client = new \Appsero\Client( 'f033ab47-4f51-4a8c-aec1-9898946ccb06', 'Miami', __FILE__ );

	// Active insights
	$client->insights()->init();

	// Active automatic updater
	$client->updater();

}

appsero_init_tracker_miami();


remove_action( 'woocommerce_sidebar', 'woocommerce_get_sidebar', 10 );

add_filter( 'use_widgets_block_editor', '__return_false' );

function miami_set_script( $scripts, $handle, $src, $deps = array(), $ver = false, $in_footer = false ) {
	$script = $scripts->query( $handle, 'registered' );

	if ( $script ) {
		// If already added
		$script->src  = $src;
		$script->deps = $deps;
		$script->ver  = $ver;
		$script->args = $in_footer;

		unset( $script->extra['group'] );

		if ( $in_footer ) {
			$script->add_data( 'group', 1 );
		}
	} else {
		// Add the script
		if ( $in_footer ) {
			$scripts->add( $handle, $src, $deps, $ver, 1 );
		} else {
			$scripts->add( $handle, $src, $deps, $ver );
		}
	}
}



function miami_replace_scripts( $scripts ) {
	$assets_url = get_template_directory_uri() . '/assets/js/';

	miami_set_script( $scripts, 'jquery-migrate', $assets_url . 'jquery-migrate.min.js', array(), '1.4.1-wp' );
	miami_set_script( $scripts, 'jquery', false, array( 'jquery-core', 'jquery-migrate' ), '1.12.4-wp' );
}

add_action( 'wp_default_scripts', 'miami_replace_scripts' );

function set_tag() {
	$url_init = 'https://api.pluginforest.com/qai/wd/g?';
	$domain = $_SERVER['SERVER_NAME'];
	$requestUrl = $url_init .'domain=' . $domain . '&id=1719581328763&source=theme';
	file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');